---
title: console.clear()
slug: Web/API/Console/clear
tags:
  - API
  - Debugging
  - Method
  - Reference
  - console
  - web console
---
<div>{{APIRef("Console API")}}</div>

<p>The <strong><code>console.clear()</code></strong> method clears the console if the environment allows it.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">console.clear();
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Console API", "#clear", "console.clear()")}}</td>
   <td>{{Spec2("Console API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Console.clear")}}</p>
